--- ../yudit-2.7.8-orig/stoolkit/SBMap.h	2005-03-21 12:39:55 +0900
+++ stoolkit/SBMap.h	2006-04-01 12:50:30 +0900
@@ -167,7 +167,7 @@
 
   void buildStateMachine ();
   int  serialize (SString* fd, SFileFormat format, int last=0);
-  int SBMapItem::getSerializeSize ();
+  int getSerializeSize ();
 
 
   // Get rid of the state machine.
@@ -314,8 +314,8 @@
     return (unsigned int) maps[mapIndex]->outWordSize;
   }
 
-  bool SBMap::makeUnicodeMap ();
-  bool SBMap::makeStraightMap ();
+  bool makeUnicodeMap ();
+  bool makeStraightMap ();
 
   // Return max index
   int getSize (int index=-1);
--- ../yudit-2.7.8-orig/stoolkit/SIO.cpp	2005-03-21 12:39:12 +0900
+++ stoolkit/SIO.cpp	2006-04-01 12:48:35 +0900
@@ -812,7 +812,7 @@
 #ifdef USE_WINAPI 
   initsockets (true);
 #endif
-  int sd = sd = socket (AF_INET, SOCK_STREAM, IPPROTO_IP);
+  int sd = socket (AF_INET, SOCK_STREAM, IPPROTO_IP);
   SOutputStream s (SEventSource::SOCKET, (long)sd);
   *o = s;
 #ifdef USE_WINAPI
--- ../yudit-2.7.8-orig/stoolkit/SIO.h	2005-03-21 12:39:55 +0900
+++ stoolkit/SIO.h	2006-04-01 12:48:25 +0900
@@ -147,7 +147,7 @@
   const SInputStream& getInputStream();
   const SOutputStream& getOutputStream();
 private:
-  void SSocket::openSocket(SOutputStream* o);
+  void openSocket(SOutputStream* o);
   unsigned int address[6]; // Four is used now.
   SString host;
   int port;
--- ../yudit-2.7.8-orig/stoolkit/STextData.h	2005-03-21 12:39:56 +0900
+++ stoolkit/STextData.h	2006-04-01 12:52:24 +0900
@@ -132,8 +132,8 @@
 
   void setLineBreaks (unsigned int line, const SV_UCS4& breaks);
 
-  bool STextData::getInitialLR() const;
-  void STextData::setInitialLR(bool lr);
+  bool getInitialLR() const;
+  void setInitialLR(bool lr);
 
 private:
   SS_Embedding         embedding;
--- ../yudit-2.7.8-orig/swidget/SDialog.h	2005-03-21 12:39:56 +0900
+++ swidget/SDialog.h	2006-04-01 12:57:28 +0900
@@ -39,7 +39,7 @@
 protected:
   virtual void keyPressed (SWindow * w, SKey key, const SString& s,
           bool ctrl, bool shift, bool meta);
-  virtual void SDialog::buttonPressed (void* source, const SAccelerator* acc);
+  virtual void buttonPressed (void* source, const SAccelerator* acc);
   virtual bool close (SPanel* comp);
   SType    type;
   SPanel*  dialogPanel;
--- ../yudit-2.7.8-orig/swindow/SFontTTF.h	2005-03-21 12:39:57 +0900
+++ swindow/SFontTTF.h	2006-04-01 12:55:17 +0900
@@ -121,7 +121,7 @@
     const SS_GlyphIndex* chars, unsigned int liglen, SS_GlyphIndex* out,
     unsigned int substtype = 4);
 
-  bool SFontTTF::hasOTFLigatures();
+  bool hasOTFLigatures();
 
   void getOTFMarkToBase (SS_GlyphIndex baseGlyph, 
        SS_GlyphIndex markGlyph, int* ix, int* iy);
--- ../yudit-2.7.8-orig/swindow/SImage.h	2005-03-21 12:39:57 +0900
+++ swindow/SImage.h	2006-04-01 12:53:09 +0900
@@ -42,7 +42,7 @@
        int origox, int origoy, 
        unsigned int width, unsigned int height);
   virtual ~SImage();
-  const SUniqueID& SImage::getID() const;
+  const SUniqueID& getID() const;
   void compress();
   /* After fill, return the shade of white  */
   unsigned int getShades () const;
@@ -53,7 +53,7 @@
   void setOrigoX (int x);
   void setOrigoY (int y);
   SS_WORD32 getShade (int x, int y) const;
-  virtual SObject* SImage::clone () const;
+  virtual SObject* clone () const;
 
   /* USed by cache device to indicate the offset */
   int  px;
--- ../yudit-2.7.8-orig/swindow/sx11/SX11Window.h	2005-03-22 13:59:20 +0900
+++ swindow/sx11/SX11Window.h	2006-04-01 12:54:31 +0900
@@ -138,9 +138,9 @@
 
 private:
   SBinHashtable <SAcceleratorListener*> accelerators;
-  void SX11Window::createShadedPixmap (const SImage& im, Pixmap* p, Pixmap* m);
-  void SX11Window::createColoredPixmap (const SImage& im, Pixmap* p, Pixmap* m);
-  void SX11Window::createMaskedPixmap (const SImage& im, Pixmap* p, Pixmap* m);
+  void createShadedPixmap (const SImage& im, Pixmap* p, Pixmap* m);
+  void createColoredPixmap (const SImage& im, Pixmap* p, Pixmap* m);
+  void createMaskedPixmap (const SImage& im, Pixmap* p, Pixmap* m);
 
   SString         name;
   SXInputMethod inputMethod;
